Description

On a more complex projects, it is necessary to group task (issues) into larger groups. For example, I am working on

a computer game and we might have taks like this:

Game characters:

- 3D models

-- humans

-- aliens

--- Martians

--- Sirians

- Textures

-- humans

-- aliens

- Animation

-- humanoids

-- 4-legged

...

It would be very nice to have an option to create this task-subtask relationship, with some reasonable limit on the

depth of this tree (say 16). I know Redmine supports sub-projects but it is not quite the same thing.

If it would make things easier, it would allright if the user had to specify in advance if the task that's being created

is an actual task (tree leaf) or a group task (tree node).

The group tasks are just containers, their progress is a weighted average of the progress of their subtasks, their estimated

duration and actual work are the sums of their subtasks. It is not possible to log time against the group task.

I can imagine that this would be quite a lot of work but it would also be a very powerful feature.

History

#1 - 2008-02-12 13:46 - Martin Klima

I created the original issue on Ruby Forge. The formatting of my sample list was messed in

conversion. It is supposed to be:

Game characters:

3D models

humans

aliens

Martians

Sirians

Textures

humans

aliens

Animation

humanoids

4-legged

#2 - 2008-02-12 17:26 - Jos Yule

This is related to issue #443
#3 - 2008-06-17 23:23 - Jean-Philippe Lang

- Category set to Issues

- Status changed from New to Closed

- Resolution set to Duplicate

Duplicates #443.
